CocoaPods 中引用 Swift 代码报错

iOSdugege • 于 2015-10-08 11:31:17 +0800 • 最后由 T3rdW2016-05-21 01:01:38 +0800 3259 阅读

pod中引用了一个Swift的第三方库,报如下错

[!] Invalid Podfile file: undefined method `use_frameworks!' for #. Updating CocoaPods might fix the issue.

解决方案是先更新CocoaPods版本,swift更新太快,CocoaPods老不兼容,然后在pod文件第一行加入use_frameworks! 即可。记录一下给有需要的人

回复: 1
  • T3rdW 2016-05-21 01:01:38 +0800

    恩,呵呵,之前也被这个问题困扰,swift一定要加上 "use_frameworks" 之前cocoapods官方有解释为什么要加这个,找不着资料了... :(

  • 请注意单词拼写,以及中英文排版,参考此页
  • 支持 Markdown 格式, **粗体**、~~删除线~~、`单行代码`, 更多语法请见这里 Markdown 语法
  • 支持表情,见 Emoji cheat sheet
  • @name 会链接到用户页面,并会通知他
  • 上传图片, 支持拖拽和剪切板黏贴上传, 格式限制 - jpg, png, gif
Ctrl+Enter